Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.util.ant
Class Zip.MyZipFileSet

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.AbstractFileSet
                  org.apache.tools.ant.types.FileSet
                      org.apache.tools.ant.types.ZipFileSet
                          org.objectweb.util.ant.Zip.MyZipFileSet

All Implemented Interfaces:
  java.lang.Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

Enclosing class:
  Zip

public class Zip.MyZipFileSet
extends org.apache.tools.ant.types.ZipFileSet

permit to use the constructor of ZipFileSet with the FileSet parameter

Field Summary

Fields inherited from class org.apache.tools.ant.types.ZipFileSet
`DEFAULT_DIR_MODE, DEFAULT_FILE_MODE`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Zip.MyZipFileSet(org.apache.tools.ant.types.FileSet fileset, java.io.File src)`

Methods inherited from class org.apache.tools.ant.types.ZipFileSet
`clone, getDirectoryScanner, getDirMode, getFileMode, getFullpath, getPrefix, getRef, getSrc, hasDirModeBeenSet, hasFileModeBeenSet, setDir, setDirMode, setFileMode, setFullpath, setPrefix, setSrc`

Methods inherited from class org.apache.tools.ant.types.AbstractFileSet
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDataTypeName, getDir, getSelectors, hasPatterns, hasSelectors, isFollowSymlinks, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFile, setFollowSymlinks, setIncludes, setIncludesfile, setRefid, setupDirectoryScanner, toString`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Zip.MyZipFileSet

    public Zip.MyZipFileSet(org.apache.tools.ant.types.FileSet fileset,
                            java.io.File src)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD